Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229472 - news account has no login shell
Summary: news account has no login shell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: setup
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 13:01 UTC by Bryn M. Reeves
Modified: 2018-10-20 00:44 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0130
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-05 12:30:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0130 normal SHIPPED_LIVE setup bug fix and enhancement update 2008-07-23 21:57:38 UTC

Description Bryn M. Reeves 2007-02-21 13:01:57 UTC
Description of problem:
The news account is created with no login shell:

news:x:9:13:news:/etc/news:

For e.g. this would allow a password to be set, or creation of SSH key files
that would then permit this to be used as a login account.

Other system accounts use the shell /sbin/nologin to prevent this.

The account is created by the setup RPM. The maintainer has requested a review
of inn to verify that changing this setting for the account will not cause
problems for the inn package.


Version-Release number of selected component (if applicable):
Reported on RHEL4U4, but verified on FC6 & RHEL5.

How reproducible:
100%

Steps to Reproduce:
1. getent passwd news
  
Actual results:
news:x:9:13:news:/etc/news:

Expected results:
news:x:9:13:news:/etc/news:/sbin/nologin

Comment 1 Ondrej Dvoracek 2007-03-08 18:27:13 UTC
Hi,
I tried to change this setting for the account on RHEL5. The innd is runing
without any problems. Now I'm doing some other tests, but it seems to me, that
there wouldn't be any problem.

Comment 15 errata-xmlrpc 2008-03-05 12:30:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0130.html



Note You need to log in before you can comment on or make changes to this bug.